#ifndef _KGR_PATCH_BSC1197344_H
#define _KGR_PATCH_BSC1197344_H

#include <linux/types.h>

int kgr_patch_bsc1197344_init(void);
void kgr_patch_bsc1197344_cleanup(void);


struct fuse_copy_state;
struct fuse_arg;
struct fuse_io_priv;
struct iov_iter;

int kgrp_fuse_copy_args(struct fuse_copy_state *cs, unsigned numargs,
			  unsigned argpages, struct fuse_arg *args,
			  int zeroing);

ssize_t kgrp_fuse_direct_io(struct fuse_io_priv *io, struct iov_iter *iter,
		       loff_t *ppos, int flags);

#define KGR_PATCH_BSC1197344_FUNCS					\
	KGR_PATCH_OBJ(fuse_copy_args, kgrp_fuse_copy_args, "fuse"),	\
	KGR_PATCH_OBJ(fuse_direct_io, kgrp_fuse_direct_io, "fuse"),	\

#endif /* _KGR_PATCH_BSC1197344_H */
